from tfdk_api_python import *

development_board_ip_address = '10.0.10.36'


def main():

    print('Starting example program.')
    tfdk = TunableFilterDevelopmentKit(development_board_ip_address)
    print('FPGA = v{0}, FW = v{1}'.format(tfdk.version_fpga, tfdk.version_fw))
    print('Bias = 0x{0:x}'.format(tfdk.bias))
    print('Amplitude = 0x{0:x}'.format(tfdk.amplitude))
    print('Scan rate = {0} Hz'.format(tfdk.scan_rate_hz))

    tfdk.set_bias(4096)
    tfdk.get_bias()
    print('Bias Set = {0}, Bias Get = {1}'.format(4096, tfdk.bias))
    tfdk.set_amplitude(8192)
    tfdk.get_amplitude()
    print('Amplitude Set = {0}, Amplitude Get = {1}'.format(8192, tfdk.amplitude))
    tfdk.set_scan_rate(100)
    tfdk.get_scan_rate()
    print('Scan Rate Set = {0}, Scan Rate Get = {1}'.format(100, tfdk.scan_rate_hz))

    tfdk.close()


if __name__ == "__main__":
    main()
